spring:
  application:
    name: javaServiceTreeFrameworkAI
springdoc:
  api-docs:
    path: /v3/api-docs
  swagger-ui:
    path: /swagger-ui.html
    use-root-path: true

# GCP Cloud Billing API
gcp:
  api-key: ${GCP_API_KEY:}   # 환경변수 GCP_API_KEY 또는 application-dev.yml 에 설정

# TCO 가격 정보 다운로드 스케줄러
# cron 형식: 초 분 시 일 월 요일
# 기본값: 매주 일요일 새벽 2시 (KST)
# 테스트 시 application-dev.yml 에서 "0 * * * * *" 등으로 오버라이드
tco:
  schedule:
    cron: "0 0 2 * * SUN"
